SuSErentzako Apt-get

Librezale.eus(e)tik
Hona jo: nabigazioa, bilatu

__Apt-get SuSErentzat__

http://linux01.gwdg.de/apt4rpm/apt4suse.html


-Behar diren paketeak (ordena hau da): -(perl-)XML-NamespaceSupport -(perl-)XML-SAX -(perl-)XML-LibXML-Common -Gdome -(perl-)XML-gdome -(perl-)XML-LibXML

-Lua

-Apt-server -Apt4rpm -Apt-libs -Apt -rpm -Uvh apt apt-libs apt-server apt4rpm

-Synaptic, intefaz grafikoa (dependentzia gehiago behar du)

Hemendik deskargatu guztia: ftp://ftp.gwdg.de/pub/linux/suse/apt/SuSE/9.0-i386/RPMS.suser-rbos


Orain /etc/apt/aptate.conf egokitu behar da. Nik horrela jarri dut:

<?xml version='1.0' encoding="iso-8859-1"?> <!DOCTYPE opt SYSTEM "/usr/share/apt4rpm/aptate.dtd">

<opt>

<topdir>/dist/</topdir>
<distribution id="suse90" structure="3">
 <name>SuSE</name>
 <version>9.0</version>
 <architecture>i686</architecture>
 <language>es_ES@euro</language>
 <component>
  <name>base</name>
  <url>../SuSE</url>
 </component>
</distribution>

</opt>


Orain zein pakete mota erabili nahi dugun esango diogu, horretarako /etc/apt/sources.list fitxategia zabalduko dugu. Halako gauza bat agertuko zaigu:

rpm ftp://mirrors.mathematik.uni-bielefeld.de/pub/linux/suse/apt/ SuSE/9.0-i386 update security rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.0-i386 update security

Helbide horietara joango gara eta direktorio izenak begiratuko ditugu. Demagun xine-ren azken bertsioa instalatu nahi dudala: SRPMS.packman-i686 direktorioan dago, horrela geratuko da orain source berria:

rpm ftp://mirrors.mathematik.uni-bielefeld.de/pub/linux/suse/apt/ SuSE/9.0-i386 update security packman-i686